## vitrage 7.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=3.1.1 # Apache-2.0
alembic>=0.9.8  # MIT
cachetools>=2.0.1 # MIT License
cryptography>=2.7 # BSD/Apache-2.0
lxml>=4.5.2 # BSD
PyMySQL>=0.8.0 # MIT License
python-dateutil>=2.7.0 # BSD
networkx>=2.4 # BSD
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.20.0 # Apache-2.0
oslo.db>=4.44.0 # Apache-2.0
oslo.messaging>=5.36.0 # Apache-2.0
oslo.middleware>=3.35.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.log>=3.44.0 # Apache-2.0
oslo.policy>=1.34.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.upgradecheck>=0.1.1 # Apache-2.0
pecan>=1.2.1 # BSD
PasteDeploy>=1.5.2 # MIT
Werkzeug>=0.14.1 # BSD License
keystonemiddleware>=4.21.0 # Apache-2.0
stevedore>=1.28.0 # Apache-2.0
voluptuous>=0.11.1 # BSD License
SQLAlchemy>=1.2.5 # MIT
sympy>=1.1.1 # BSD
pysnmp>=4.4.4 # BSD
PyJWT>=1.6.0 # MIT
osprofiler>=2.0.0 # Apache-2.0
keystoneauth1>=3.6.2 # Apache-2.0
PyYAML>=3.13 # MIT
requests>=2.18.4 # Apache-2.0
WebOb>=1.7.4 # MIT
eventlet!=0.20.1,>=0.20.0 # MIT
debtcollector>=1.19.0 # Apache-2.0
cotyledon>=1.6.8 # Apache-2.0
pytz>=2018.3 # MIT
tenacity>=4.12.0
tooz>=1.58.0 # Apache-2.0
psutil>=5.4.3 # BSD
jsonschema>=3.2.0 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.config>=5.2.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
reno>=3.1.0 # Apache-2.0
docutils>=0.11  # OSI-Approved Open Source, Public Domain

=== debian/changelog ===
vitrage (7.3.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 21:15:03 +0200

vitrage (7.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Use a policy.d and yaml policy file.
  * d/rules: Removed --with systemd.
  * Switch to debhelper-compat 11.
  * Standards-Version: 4.5.0.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Sep 2020 21:23:01 +0200

vitrage (7.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Sep 2020 09:58:30 +0200

vitrage (7.1.0-3) unstable; urgency=medium

  * Reupload source-only

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 12 Jun 2020 13:01:55 +0200

vitrage (7.1.0-2) unstable; urgency=medium

  * Upload to unstable from experimental

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 12 Jun 2020 10:51:18 +0200

vitrage (7.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Apr 2020 22:24:28 +0200

vitrage (7.0.0-2) experimental; urgency=medium

  * Add missing override_dh_python3.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Apr 2020 09:46:44 +0200

vitrage (7.0.0-1) experimental; urgency=medium

  * d/patches:
    - Remove fix-tests.patch
    - fix-networkx-compatibility.patch
  * d/control: Fix requirements

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 08 Apr 2020 21:02:24 +0200

vitrage (5.0.1-1) unstable; urgency=medium

  * New upstream version.
  * d/patches: Add fix-networkx-compatibility.patch (Closes: #952263).
  * d/patches/fix-tests.patch
  * d/control: Add python3-alembic dependency.

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 24 Feb 2020 12:00:55 +0100

=== debian/control ===
Source: vitrage
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-alembic,
 python3-cachetools,
 python3-cotyledon,
 python3-coverage,
 python3-cryptography (>= 2.7),
 python3-dateutil,
 python3-debtcollector,
 python3-eventlet,
 python3-hacking,
 python3-jsonschema (>= 3.2.0),
 python3-jwt,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-lxml (>= 4.5.2),
 python3-networkx (>= 2.4),
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n,
 python3-oslo.log (>= 3.44.0),
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-oslotest,
 python3-osprofiler,
 python3-pastedeploy,
 python3-pecan,
 python3-psutil,
 python3-pymysql,
 python3-pysnmp4,
 python3-reno,
 python3-requests,
 python3-requests-mock,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-sympy,
 python3-tenacity,
 python3-testrepository,
 python3-testscenarios,
 python3-testtools,
 python3-tooz,
 python3-tz,
 python3-vitrageclient,
 python3-voluptuous,
 python3-webob,
 python3-werkzeug,
 python3-yaml,
 python3-zake,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/services/vitrage
Vcs-Git: https://salsa.debian.org/openstack-team/services/vitrage.git
Homepage: https://github.com/openstack/vitrage.git

Package: python3-vitrage
Section: python
Architecture: all
Depends:
 python3-alembic,
 python3-cachetools,
 python3-cotyledon,
 python3-cryptography (>= 2.7),
 python3-dateutil,
 python3-debtcollector,
 python3-eventlet,
 python3-jsonschema (>= 3.2.0),
 python3-jwt,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-lxml (>= 4.5.2),
 python3-networkx (>= 2.4),
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n,
 python3-oslo.log (>= 3.44.0),
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-osprofiler,
 python3-pastedeploy,
 python3-pbr,
 python3-pecan,
 python3-psutil,
 python3-pymysql,
 python3-pysnmp4,
 python3-requests,
 python3-sqlalchemy,
 python3-stevedore,
 python3-sympy,
 python3-tenacity,
 python3-tooz,
 python3-tz,
 python3-voluptuous,
 python3-webob,
 python3-werkzeug,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Python libs
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides the Python libraries.

Package: vitrage-api
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - API server
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides the REST API server.

Package: vitrage-collector
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Collector service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Collector service.

Package: vitrage-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-vitrage (= ${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - metapackage
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package is a metapackage that helps installing all of Vitrage at once.

Package: vitrage-doc
Architecture: all
Section: doc
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack RCA as a Service - documentation
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package contains the documentation.

Package: vitrage-graph
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Graph service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Graph service.

Package: vitrage-ml
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Machine Learning Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Machine learning service.

Package: vitrage-notifier
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Notifier Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Notifier service.

Package: vitrage-persistor
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Persistor Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Persistor Service.

Package: vitrage-snmp-parsing
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - SNMP Parsing Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage SNMP Parsing Service.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	python3 setup.py clean

override_dh_clean:
	dh_clean
	find . -iname '*.pyc' -delete
	find . -name '*.db' -delete
	rm -rf .eggs
	rm -rf build
	rm -f ChangeLog AUTHORS
	rm -f doc/source/_static/vitrage.conf.sample
	rm -f etc/vitrage/policy.yaml.sample
	rm -f debian/vitrage-common.postinst debian/vitrage-common.config debian/vitrage-api.config debian/vitrage-api.postinst debian/vitrage-common.postrm
	rm -f debian/*.templates
	rm -f debian/*.init debian/*.upstart debian/*.service debian/*.templates

override_dh_auto_build:
	set -e ; for i in $(PYTHON3S) ; do \
		python3 setup.py build --force ; \
	done

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func vitrage-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func vitrage-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func vitrage-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func vitrage-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm vitrage-common.postrm
	pkgos-merge-templates vitrage-api vitrage endpoint
	pkgos-merge-templates vitrage-common vitrage db rabbit ksat

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 --no-parallel 'vitrage\.tests\.unit(?!(.*evaluator\.test_scenario_repository\.ScenarioRepositoryTest.*|.*evaluator\.test_scenario_repository\.RegExTemplateTest\.test_regex_with_exact_match.*|.*evaluator\.template_validation\.test_template_validator_v3\.TemplateValidatorV3Test.*|.*evaluator\.template_loading\.test_template_loading_v3\.TemplateLoaderV3Test.*|.*evaluator\.test_template_loader\.TemplateLoaderTest\.test_basic_template_with_include.*|.*datasources\.collectd\.test_collectd_transformer\.TestCollectdTransformer\.test_create_update_entity_vertex.*|.*evaluator\.test_scenario_repository\.RegExTemplateTest\.test_basic_regex_with_no_match.*))'
endif

	# Generate configs
	mkdir -p $(CURDIR)/debian/vitrage-common/usr/share/vitrage-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--config-file $(CURDIR)/etc/vitrage/vitrage-config-generator.conf \
	        --output-file $(CURDIR)/debian/vitrage-common/usr/share/vitrage-common/vitrage.conf \
	        --wrap-width 140

	mkdir -p $(CURDIR)/debian/vitrage-common/etc/vitrage/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--config-file $(CURDIR)/etc/vitrage/vitrage-policy-generator.conf \
		--output-file $(CURDIR)/debian/vitrage-common/etc/vitrage/policy.d/00_default_policy.yaml \
		--format yaml

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/vitrage-common/usr/share/vitrage-common/vitrage.conf oslo_policy policy_dirs /etc/vitrage/policy.d

	pkgos-fix-config-default $(CURDIR)/debian/vitrage-common/usr/share/vitrage-common/vitrage.conf oslo_concurrency lock_path /var/lock/vitrage

	mkdir -p $(CURDIR)/debian/vitrage-common/etc/vitrage/datasources_values
	mkdir -p $(CURDIR)/debian/vitrage-common/etc/vitrage/static_datasources
	cp -av $(CURDIR)/etc/vitrage/api-paste.ini $(CURDIR)/debian/vitrage-common/usr/share/vitrage-common/api-paste.ini
	cp -av $(CURDIR)/etc/vitrage/datasources_values/* $(CURDIR)/debian/vitrage-common/etc/vitrage/datasources_values/


	dh_install
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/vitrage-doc/usr/share/doc/vitrage-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## vitrage 7.4.0

=== debian/changelog ===
vitrage (7.4.0-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 7.x series and update URL.
  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Apr 2021 13:34:49 -0400

vitrage (7.3.0+git2021012713.fd833604-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 28 Jan 2021 07:34:04 +0000

vitrage (7.3.0+git2020120914.849c8001-0ubuntu1) hirsute; urgency=medium

  [ Corey Bryant ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Chris MacNaughton ]
  * New upstream snapshot for OpenStack Wallaby.
  * d/rules: Update to explicitly setup PBR's version.
  * c/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 09 Dec 2020 15:06:55 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,13 @@
 #!/usr/bin/make -f
+
+DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
+export PBR_VERSION=$(VERSION)
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd
 
 override_dh_auto_clean:
 	python3 setup.py clean
@@ -55,16 +59,10 @@
 		--config-file $(CURDIR)/etc/vitrage/vitrage-config-generator.conf \
 	        --output-file $(CURDIR)/debian/vitrage-common/usr/share/vitrage-common/vitrage.conf \
 	        --wrap-width 140
-
-	mkdir -p $(CURDIR)/debian/vitrage-common/etc/vitrage/policy.d
 	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
 		--config-file $(CURDIR)/etc/vitrage/vitrage-policy-generator.conf \
-		--output-file $(CURDIR)/debian/vitrage-common/etc/vitrage/policy.d/00_default_policy.yaml \
-		--format yaml
-
-	# Use the policy.d folder
-	pkgos-fix-config-default $(CURDIR)/debian/vitrage-common/usr/share/vitrage-common/vitrage.conf oslo_policy policy_dirs /etc/vitrage/policy.d
-
+		--output-file $(CURDIR)/debian/vitrage-common/usr/share/vitrage-common/policy.json \
+		--format json
 	pkgos-fix-config-default $(CURDIR)/debian/vitrage-common/usr/share/vitrage-common/vitrage.conf oslo_concurrency lock_path /var/lock/vitrage
 
 	mkdir -p $(CURDIR)/debian/vitrage-common/etc/vitrage/datasources_values
@@ -81,6 +79,3 @@
 	PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/vitrage-doc/usr/share/doc/vitrage-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif
-
-override_dh_python3:
-	dh_python3 --shebang=/usr/bin/python3

## vitrage 7.5.0

=== debian/changelog ===
vitrage (7.5.0-0ubuntu2) impish; urgency=medium

  * d/gbp.conf: Create stable/xena branch.
  * d/control, d/rules: Bump debhelper compat to 12 (LP: #1960636).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 10:44:32 -0500

vitrage (7.5.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Oct 2021 12:58:43 -0400

vitrage (7.4.0+git2021061405.7035e09f-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 14 Jun 2021 07:22:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,123 +1,155 @@
 Source: vitrage
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools (>= 99~),
  po-debconf,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 3.1.1),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-alembic,
- python3-cachetools,
- python3-cotyledon,
- python3-coverage,
+ python3-alembic (>= 0.9.8),
+ python3-aodhclient (>= 1.0.0),
+ python3-babel (>= 2.5.3),
+ python3-cachetools (>= 2.0.1),
+ python3-ceilometerclient (>= 2.9.0),
+ python3-cotyledon (>= 1.6.8),
  python3-cryptography (>= 2.7),
- python3-dateutil,
- python3-debtcollector,
- python3-eventlet,
- python3-hacking,
+ python3-coverage (>= 4.5.1),
+ python3-dateutil (>= 2.7.0),
+ python3-debtcollector (>= 1.19.0),
+ python3-eventlet (>= 0.20.0),
+ python3-gnocchiclient (>= 3.3.1),
+ python3-hacking (>= 1.1.0),
+ python3-heatclient (>= 1.14.0),
  python3-jsonschema (>= 3.2.0),
- python3-jwt,
- python3-keystoneauth1,
- python3-keystonemiddleware,
+ python3-jwt (>= 1.6.0),
+ python3-keystoneauth1 (>= 3.6.2),
+ python3-keystoneclient (>= 1:3.15.0),
+ python3-keystonemiddleware (>= 4.21.0),
  python3-lxml (>= 4.5.2),
+ python3-mistralclient (>= 1:3.3.0),
+ python3-mock (>= 2.0.0),
+ python3-monascaclient (>= 1.7.1),
  python3-networkx (>= 2.4),
- python3-openstackdocstheme,
- python3-oslo.config,
- python3-oslo.context,
+ python3-neutronclient (>= 1:6.7.0),
+ python3-novaclient (>= 2:10.1.0),
+ python3-openstackclient (>= 3.12.0),
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-oslo.config (>= 1:6.8.0),
+ python3-oslo.context (>= 1:2.22.0),
  python3-oslo.db (>= 4.44.0),
- python3-oslo.i18n,
+ python3-oslo.i18n (>= 3.20.0),
  python3-oslo.log (>= 3.44.0),
- python3-oslo.messaging,
- python3-oslo.middleware,
- python3-oslo.policy,
- python3-oslo.serialization,
- python3-oslo.upgradecheck,
- python3-oslotest,
- python3-osprofiler,
- python3-pastedeploy,
- python3-pecan,
- python3-psutil,
- python3-pymysql,
- python3-pysnmp4,
- python3-reno,
- python3-requests,
- python3-requests-mock,
- python3-sqlalchemy,
- python3-stestr,
- python3-stevedore,
- python3-subunit,
- python3-sympy,
- python3-tenacity,
+ python3-oslo.messaging (>= 5.36.0),
+ python3-oslo.middleware (>= 3.35.0),
+ python3-oslo.policy (>= 3.6.0),
+ python3-oslo.serialization (>= 2.25.0),
+ python3-oslo.upgradecheck (>= 1.3.0),
+ python3-oslotest (>= 1:3.3.0),
+ python3-osprofiler (>= 2.0.0),
+ python3-pastedeploy (>= 1.5.2),
+ python3-pecan (>= 1.2.1),
+ python3-psutil (>= 5.4.3),
+ python3-pymysql (>= 0.8.0),
+ python3-pysnmp4 (>= 4.4.4),
+ python3-pyzabbix (>= 0.7.4),
+ python3-reno (>= 2.11.2),
+ python3-requests (>= 2.20.0),
+ python3-requests-mock (>= 1.4.0),
+ python3-six (>= 1.11.0),
+ python3-sqlalchemy (>= 1.2.5),
+ python3-stestr (>= 2.0.0),
+ python3-stevedore (>= 1:1.28.0),
+ python3-subunit (>= 1.2.0),
+ python3-sympy (>= 1.1.1),
+ python3-tenacity (>= 4.12.0),
  python3-testrepository,
- python3-testscenarios,
- python3-testtools,
- python3-tooz,
- python3-tz,
+ python3-testscenarios (>= 0.5.0),
+ python3-testtools (>= 2.3.0),
+ python3-tooz (>= 1.58.0),
+ python3-troveclient (>= 1:2.2.0),
+ python3-tz (>= 2018.3),
  python3-vitrageclient,
- python3-voluptuous,
- python3-webob,
- python3-werkzeug,
- python3-yaml,
- python3-zake,
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/openstack-team/services/vitrage
-Vcs-Git: https://salsa.debian.org/openstack-team/services/vitrage.git
+ python3-voluptuous (>= 0.11.1),
+ python3-webob (>= 1:1.7.4),
+ python3-werkzeug (>= 0.14.1),
+ python3-yaml (>= 5.1),
+ python3-zake (>= 0.1.6),
+ python3-zaqarclient (>= 1.2.0),
+Standards-Version: 4.4.1
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/vitrage
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/vitrage
 Homepage: https://github.com/openstack/vitrage.git
 
 Package: python3-vitrage
 Section: python
 Architecture: all
 Depends:
- python3-alembic,
- python3-cachetools,
- python3-cotyledon,
+ python3-alembic (>= 0.9.8),
+ python3-aodhclient (>= 1.0.0),
+ python3-babel (>= 2.5.3),
+ python3-cachetools (>= 2.0.1),
+ python3-ceilometerclient (>= 2.9.0),
+ python3-cotyledon (>= 1.6.8),
  python3-cryptography (>= 2.7),
- python3-dateutil,
- python3-debtcollector,
- python3-eventlet,
+ python3-dateutil (>= 2.7.0),
+ python3-debtcollector (>= 1.19.0),
+ python3-eventlet (>= 0.20.0),
+ python3-gnocchiclient (>= 3.3.1),
+ python3-heatclient (>= 1.14.0),
  python3-jsonschema (>= 3.2.0),
- python3-jwt,
- python3-keystoneauth1,
- python3-keystonemiddleware,
+ python3-jwt (>= 1.6.0),
+ python3-keystoneauth1 (>= 3.6.2),
+ python3-keystoneclient (>= 1:3.15.0),
+ python3-keystonemiddleware (>= 4.21.0),
  python3-lxml (>= 4.5.2),
+ python3-mistralclient (>= 1:3.3.0),
+ python3-monascaclient (>= 1.7.1),
  python3-networkx (>= 2.4),
- python3-oslo.config,
- python3-oslo.context,
+ python3-neutronclient (>= 1:6.7.0),
+ python3-novaclient (>= 2:10.1.0),
+ python3-openstackclient (>= 3.12.0),
+ python3-oslo.config (>= 1:6.8.0),
+ python3-oslo.context (>= 1:2.22.0),
  python3-oslo.db (>= 4.44.0),
- python3-oslo.i18n,
+ python3-oslo.i18n (>= 3.20.0),
  python3-oslo.log (>= 3.44.0),
- python3-oslo.messaging,
- python3-oslo.middleware,
- python3-oslo.policy,
- python3-oslo.serialization,
- python3-oslo.upgradecheck,
- python3-osprofiler,
- python3-pastedeploy,
- python3-pbr,
- python3-pecan,
- python3-psutil,
- python3-pymysql,
- python3-pysnmp4,
- python3-requests,
- python3-sqlalchemy,
- python3-stevedore,
- python3-sympy,
- python3-tenacity,
- python3-tooz,
- python3-tz,
- python3-voluptuous,
- python3-webob,
- python3-werkzeug,
- python3-yaml,
+ python3-oslo.messaging (>= 5.36.0),
+ python3-oslo.middleware (>= 3.35.0),
+ python3-oslo.policy (>= 3.6.0),
+ python3-oslo.serialization (>= 2.25.0),
+ python3-oslo.upgradecheck (>= 1.3.0),
+ python3-osprofiler (>= 2.0.0),
+ python3-pastedeploy (>= 1.5.2),
+ python3-pbr (>= 3.1.1),
+ python3-pecan (>= 1.2.1),
+ python3-psutil (>= 5.4.3),
+ python3-pymysql (>= 0.8.0),
+ python3-pysnmp4 (>= 4.4.4),
+ python3-pyzabbix (>= 0.7.4),
+ python3-requests (>= 2.20.0),
+ python3-six (>= 1.11.0),
+ python3-sqlalchemy (>= 1.2.5),
+ python3-stevedore (>= 1:1.28.0),
+ python3-sympy (>= 1.1.1),
+ python3-tenacity (>= 4.12.0),
+ python3-tooz (>= 1.58.0),
+ python3-troveclient (>= 1:2.2.0),
+ python3-tz (>= 2018.3),
+ python3-voluptuous (>= 0.11.1),
+ python3-webob (>= 1:1.7.4),
+ python3-werkzeug (>= 0.14.1),
+ python3-yaml (>= 5.1),
+ python3-zaqarclient (>= 1.2.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack RCA as a Service - Python libs

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/vitrage/ vitrage-(7\.\d.*)\.tar\.gz

## vitrage 8.0.1

=== debian/changelog ===
vitrage (8.0.1-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 8.x series and update URL.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 08:26:03 -0400

vitrage (7.5.0+git2022011309.43091cd4-0ubuntu2) jammy; urgency=medium

  * d/control: Drop python3-ceilometerclient BD as it is no longer
    needed (LP: #1836142).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 14 Mar 2022 08:40:47 -0400

vitrage (7.5.0+git2022011309.43091cd4-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control, d/rules: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Jan 2022 09:57:03 -0500

vitrage (7.5.0+git2021120910.95b33dbf-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 10:36:01 -0500

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools (>= 99~),
+ openstack-pkg-tools,
  po-debconf,
  python3-all,
  python3-pbr (>= 3.1.1),
@@ -20,7 +20,6 @@
  python3-aodhclient (>= 1.0.0),
  python3-babel (>= 2.5.3),
  python3-cachetools (>= 2.0.1),
- python3-ceilometerclient (>= 2.9.0),
  python3-cotyledon (>= 1.6.8),
  python3-cryptography (>= 2.7),
  python3-coverage (>= 4.5.1),
@@ -98,7 +97,6 @@
  python3-aodhclient (>= 1.0.0),
  python3-babel (>= 2.5.3),
  python3-cachetools (>= 2.0.1),
- python3-ceilometerclient (>= 2.9.0),
  python3-cotyledon (>= 1.6.8),
  python3-cryptography (>= 2.7),
  python3-dateutil (>= 2.7.0),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/vitrage/ vitrage-(8\.\d.*)\.tar\.gz

## vitrage 9.0.0

=== debian/changelog ===
vitrage (9.0.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:55:53 +0200

vitrage (9.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 17:10:08 +0200

vitrage (9.0.0-2) experimental; urgency=medium

  * Add Fix-compat-with-oslo.db-12.1.0.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Sep 2022 09:43:13 +0200

vitrage (9.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Sep 2022 16:02:40 +0200

vitrage (8.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Mar 2022 09:25:57 +0200

vitrage (8.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Feb 2022 11:41:46 +0100

vitrage (7.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 15:47:09 +0200

vitrage (7.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Sep 2021 09:30:30 +0200

vitrage (7.4.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 14:38:08 +0200

vitrage (7.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Mar 2021 12:53:53 +0200

=== debian/control ===
Source: vitrage
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-alembic,
 python3-cachetools,
 python3-cotyledon,
 python3-coverage,
 python3-cryptography,
 python3-dateutil,
 python3-debtcollector,
 python3-eventlet,
 python3-hacking,
 python3-jsonschema,
 python3-jwt,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-lxml,
 python3-networkx,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.serialization,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslotest,
 python3-osprofiler,
 python3-pastedeploy,
 python3-pecan,
 python3-psutil,
 python3-pymysql,
 python3-pysnmp4,
 python3-reno,
 python3-requests,
 python3-requests-mock,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-sympy,
 python3-tenacity,
 python3-testrepository,
 python3-testscenarios,
 python3-testtools,
 python3-tooz,
 python3-tz,
 python3-vitrageclient,
 python3-voluptuous,
 python3-webob,
 python3-werkzeug,
 python3-yaml,
 python3-zake,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/services/vitrage
Vcs-Git: https://salsa.debian.org/openstack-team/services/vitrage.git
Homepage: https://github.com/openstack/vitrage.git

Package: python3-vitrage
Section: python
Architecture: all
Depends:
 python3-alembic,
 python3-cachetools,
 python3-cotyledon,
 python3-cryptography,
 python3-dateutil,
 python3-debtcollector,
 python3-eventlet,
 python3-jsonschema,
 python3-jwt,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-lxml,
 python3-networkx,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.serialization,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-osprofiler,
 python3-pastedeploy,
 python3-pbr,
 python3-pecan,
 python3-psutil,
 python3-pymysql,
 python3-pysnmp4,
 python3-requests,
 python3-sqlalchemy,
 python3-stevedore,
 python3-sympy,
 python3-tenacity,
 python3-tooz,
 python3-tz,
 python3-voluptuous,
 python3-webob,
 python3-werkzeug,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Python libs
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides the Python libraries.

Package: vitrage-api
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - API server
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides the REST API server.

Package: vitrage-collector
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Collector service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Collector service.

Package: vitrage-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-vitrage (= ${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - metapackage
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package is a metapackage that helps installing all of Vitrage at once.

Package: vitrage-doc
Architecture: all
Section: doc
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack RCA as a Service - documentation
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package contains the documentation.

Package: vitrage-graph
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Graph service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Graph service.

Package: vitrage-ml
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Machine Learning Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Machine learning service.

Package: vitrage-notifier
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Notifier Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Notifier service.

Package: vitrage-persistor
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Persistor Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Persistor Service.

Package: vitrage-snmp-parsing
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - SNMP Parsing Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage SNMP Parsing Service.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/vitrage/tags .*/(\d[brc\d\.]+)\.tar\.gz

## vitrage 9.0.0+git2022100608.43e8e5f1

=== debian/changelog ===
vitrage (9.0.0+git2022100608.43e8e5f1-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 9.x series and update URL.
  * New upstream snapshot for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Oct 2022 08:48:35 -0400

vitrage (9.0.0+git2022091214.dba5e63e-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 14:10:53 -0400

vitrage (8.0.1+git2022071416.9a971055-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 16:46:32 -0400

vitrage (8.0.1+git2022060610.9a971055-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jun 2022 10:57:21 -0400

=== debian/control ===
--- 
+++ 
@@ -1,123 +1,153 @@
 Source: vitrage
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 119ubuntu1~),
  po-debconf,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 3.1.1),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-alembic,
- python3-cachetools,
- python3-cotyledon,
- python3-coverage,
- python3-cryptography,
- python3-dateutil,
- python3-debtcollector,
- python3-eventlet,
- python3-hacking,
- python3-jsonschema,
- python3-jwt,
- python3-keystoneauth1,
- python3-keystonemiddleware,
- python3-lxml,
- python3-networkx,
- python3-openstackdocstheme,
- python3-oslo.config,
- python3-oslo.context,
- python3-oslo.db,
- python3-oslo.i18n,
- python3-oslo.log,
- python3-oslo.messaging,
- python3-oslo.middleware,
+ python3-alembic (>= 0.9.8),
+ python3-aodhclient (>= 1.0.0),
+ python3-babel (>= 2.5.3),
+ python3-cachetools (>= 2.0.1),
+ python3-cotyledon (>= 1.6.8),
+ python3-cryptography (>= 2.7),
+ python3-coverage (>= 4.5.1),
+ python3-dateutil (>= 2.7.0),
+ python3-debtcollector (>= 1.19.0),
+ python3-eventlet (>= 0.20.0),
+ python3-gnocchiclient (>= 3.3.1),
+ python3-hacking (>= 1.1.0),
+ python3-heatclient (>= 1.14.0),
+ python3-jsonschema (>= 3.2.0),
+ python3-jwt (>= 1.6.0),
+ python3-keystoneauth1 (>= 3.6.2),
+ python3-keystoneclient (>= 1:3.15.0),
+ python3-keystonemiddleware (>= 4.21.0),
+ python3-lxml (>= 4.5.2),
+ python3-mistralclient (>= 1:3.3.0),
+ python3-mock (>= 2.0.0),
+ python3-monascaclient (>= 1.7.1),
+ python3-networkx (>= 2.4),
+ python3-neutronclient (>= 1:6.7.0),
+ python3-novaclient (>= 2:10.1.0),
+ python3-openstackclient (>= 3.12.0),
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-oslo.config (>= 1:6.8.0),
+ python3-oslo.context (>= 1:2.22.0),
+ python3-oslo.db (>= 4.44.0),
+ python3-oslo.i18n (>= 3.20.0),
+ python3-oslo.log (>= 3.44.0),
+ python3-oslo.messaging (>= 5.36.0),
+ python3-oslo.middleware (>= 3.35.0),
  python3-oslo.policy (>= 3.6.0),
- python3-oslo.serialization,
+ python3-oslo.serialization (>= 2.25.0),
  python3-oslo.upgradecheck (>= 1.3.0),
- python3-oslotest,
- python3-osprofiler,
- python3-pastedeploy,
- python3-pecan,
- python3-psutil,
- python3-pymysql,
- python3-pysnmp4,
- python3-reno,
- python3-requests,
- python3-requests-mock,
- python3-sqlalchemy,
- python3-stestr,
- python3-stevedore,
- python3-subunit,
- python3-sympy,
- python3-tenacity,
+ python3-oslotest (>= 1:3.3.0),
+ python3-osprofiler (>= 2.0.0),
+ python3-pastedeploy (>= 1.5.2),
+ python3-pecan (>= 1.2.1),
+ python3-psutil (>= 5.4.3),
+ python3-pymysql (>= 0.8.0),
+ python3-pysnmp4 (>= 4.4.4),
+ python3-pyzabbix (>= 0.7.4),
+ python3-reno (>= 2.11.2),
+ python3-requests (>= 2.20.0),
+ python3-requests-mock (>= 1.4.0),
+ python3-six (>= 1.11.0),
+ python3-sqlalchemy (>= 1.2.5),
+ python3-stestr (>= 2.0.0),
+ python3-stevedore (>= 1:1.28.0),
+ python3-subunit (>= 1.2.0),
+ python3-sympy (>= 1.1.1),
+ python3-tenacity (>= 4.12.0),
  python3-testrepository,
- python3-testscenarios,
- python3-testtools,
- python3-tooz,
- python3-tz,
+ python3-testscenarios (>= 0.5.0),
+ python3-testtools (>= 2.3.0),
+ python3-tooz (>= 1.58.0),
+ python3-troveclient (>= 1:2.2.0),
+ python3-tz (>= 2018.3),
  python3-vitrageclient,
- python3-voluptuous,
- python3-webob,
- python3-werkzeug,
- python3-yaml,
- python3-zake,
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/openstack-team/services/vitrage
-Vcs-Git: https://salsa.debian.org/openstack-team/services/vitrage.git
-Homepage: https://github.com/openstack/vitrage.git
+ python3-voluptuous (>= 0.11.1),
+ python3-webob (>= 1:1.7.4),
+ python3-webtest,
+ python3-werkzeug (>= 0.14.1),
+ python3-yaml (>= 5.1),
+ python3-zake (>= 0.1.6),
+ python3-zaqarclient (>= 1.2.0),
+Standards-Version: 4.6.1
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/vitrage
+Homepage: https://opendev.org/openstack/vitrage
 
 Package: python3-vitrage
 Section: python
 Architecture: all
 Depends:
- python3-alembic,
- python3-cachetools,
- python3-cotyledon,
- python3-cryptography,
- python3-dateutil,
- python3-debtcollector,
- python3-eventlet,
- python3-jsonschema,
- python3-jwt,
- python3-keystoneauth1,
- python3-keystonemiddleware,
- python3-lxml,
- python3-networkx,
- python3-oslo.config,
- python3-oslo.context,
- python3-oslo.db,
- python3-oslo.i18n,
- python3-oslo.log,
- python3-oslo.messaging,
- python3-oslo.middleware,
+ python3-alembic (>= 0.9.8),
+ python3-aodhclient (>= 1.0.0),
+ python3-babel (>= 2.5.3),
+ python3-cachetools (>= 2.0.1),
+ python3-cotyledon (>= 1.6.8),
+ python3-cryptography (>= 2.7),
+ python3-dateutil (>= 2.7.0),
+ python3-debtcollector (>= 1.19.0),
+ python3-eventlet (>= 0.20.0),
+ python3-gnocchiclient (>= 3.3.1),
+ python3-heatclient (>= 1.14.0),
+ python3-jsonschema (>= 3.2.0),
+ python3-jwt (>= 1.6.0),
+ python3-keystoneauth1 (>= 3.6.2),
+ python3-keystoneclient (>= 1:3.15.0),
+ python3-keystonemiddleware (>= 4.21.0),
+ python3-lxml (>= 4.5.2),
+ python3-mistralclient (>= 1:3.3.0),
+ python3-monascaclient (>= 1.7.1),
+ python3-networkx (>= 2.4),
+ python3-neutronclient (>= 1:6.7.0),
+ python3-novaclient (>= 2:10.1.0),
+ python3-openstackclient (>= 3.12.0),
+ python3-oslo.config (>= 1:6.8.0),
+ python3-oslo.context (>= 1:2.22.0),
+ python3-oslo.db (>= 4.44.0),
+ python3-oslo.i18n (>= 3.20.0),
+ python3-oslo.log (>= 3.44.0),
+ python3-oslo.messaging (>= 5.36.0),
+ python3-oslo.middleware (>= 3.35.0),
  python3-oslo.policy (>= 3.6.0),
- python3-oslo.serialization,
+ python3-oslo.serialization (>= 2.25.0),
  python3-oslo.upgradecheck (>= 1.3.0),
- python3-osprofiler,
- python3-pastedeploy,
- python3-pbr,
- python3-pecan,
- python3-psutil,
- python3-pymysql,
- python3-pysnmp4,
- python3-requests,
- python3-sqlalchemy,
- python3-stevedore,
- python3-sympy,
- python3-tenacity,
- python3-tooz,
- python3-tz,
- python3-voluptuous,
- python3-webob,
- python3-werkzeug,
- python3-yaml,
+ python3-osprofiler (>= 2.0.0),
+ python3-pastedeploy (>= 1.5.2),
+ python3-pbr (>= 3.1.1),
+ python3-pecan (>= 1.2.1),
+ python3-psutil (>= 5.4.3),
+ python3-pymysql (>= 0.8.0),
+ python3-pysnmp4 (>= 4.4.4),
+ python3-pyzabbix (>= 0.7.4),
+ python3-requests (>= 2.20.0),
+ python3-six (>= 1.11.0),
+ python3-sqlalchemy (>= 1.2.5),
+ python3-stevedore (>= 1:1.28.0),
+ python3-sympy (>= 1.1.1),
+ python3-tenacity (>= 4.12.0),
+ python3-tooz (>= 1.58.0),
+ python3-troveclient (>= 1:2.2.0),
+ python3-tz (>= 2018.3),
+ python3-voluptuous (>= 0.11.1),
+ python3-webob (>= 1:1.7.4),
+ python3-werkzeug (>= 0.14.1),
+ python3-yaml (>= 5.1),
+ python3-zaqarclient (>= 1.2.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack RCA as a Service - Python libs

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/vitrage/ vitrage-(9\.\d.*)\.tar\.gz
